summaryrefslogtreecommitdiff
path: root/apache
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2003-12-05 04:46:59 +0000
committerChris Larson <clarson@kergoth.com>2003-12-05 04:46:59 +0000
commit83cbb11048e51b21ff766ee4ff7e2ef531942433 (patch)
tree65098543236a1e51407793b3f34b91329e96a5fa /apache
parent4e62832980e7c7f1d205e67c6db89dcdff200b6b (diff)
Get apache starting on boot properly.
BKrev: 3fd00dc3oAZpYn3L6YyONoObrmqvOg
Diffstat (limited to 'apache')
-rw-r--r--apache/apache-2.0.47/init73
-rw-r--r--apache/apache-2.0.48/init73
-rw-r--r--apache/apache_2.0.47.oe9
-rw-r--r--apache/apache_2.0.48.oe9
4 files changed, 156 insertions, 8 deletions
diff --git a/apache/apache-2.0.47/init b/apache/apache-2.0.47/init
index e69de29bb2..7a05c38a9a 100644
--- a/apache/apache-2.0.47/init
+++ b/apache/apache-2.0.47/init
@@ -0,0 +1,73 @@
+#!/bin/sh
+#
+# apache Start the apache HTTP server.
+#
+
+NAME=apache
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/httpd
+SUEXEC=/usr/lib/apache/suexec
+PIDFILE=/var/run/$NAME.pid
+CONF=/etc/apache/httpd.conf
+APACHECTL=/usr/sbin/apachectl
+
+trap "" 1
+export LANG=C
+export PATH
+
+test -f $DAEMON || exit 0
+test -f $APACHECTL || exit 0
+
+# ensure we don't leak environment vars into apachectl
+APACHECTL="env -i LANG=${LANG} PATH=${PATH} $APACHECTL"
+
+if egrep -q -i "^[[:space:]]*ServerType[[:space:]]+inet" $CONF
+then
+ exit 0
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting web server: $NAME"
+ start-stop-daemon -S -x $DAEMON
+ ;;
+
+ stop)
+ echo -n "Stopping web server: $NAME"
+ start-stop-daemon -K -x $DAEMON
+ ;;
+
+ reload)
+ echo -n "Reloading $NAME configuration"
+ start-stop-daemon -K --signal USR1 -x $DAEMON
+ ;;
+
+ reload-modules)
+ echo -n "Reloading $NAME modules"
+ start-stop-daemon -K
+ start-stop-daemon -S -x $DAEMON
+ ;;
+
+ restart)
+ $0 reload-modules
+ exit $?
+ ;;
+
+ force-reload)
+ $0 reload-modules
+ exit $?
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|reload|reload-modules|force-reload|restart}"
+ exit 1
+ ;;
+esac
+
+if [ $? == 0 ]; then
+ echo .
+ exit 0
+else
+ echo failed
+ exit 1
+fi
diff --git a/apache/apache-2.0.48/init b/apache/apache-2.0.48/init
index e69de29bb2..7a05c38a9a 100644
--- a/apache/apache-2.0.48/init
+++ b/apache/apache-2.0.48/init
@@ -0,0 +1,73 @@
+#!/bin/sh
+#
+# apache Start the apache HTTP server.
+#
+
+NAME=apache
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/httpd
+SUEXEC=/usr/lib/apache/suexec
+PIDFILE=/var/run/$NAME.pid
+CONF=/etc/apache/httpd.conf
+APACHECTL=/usr/sbin/apachectl
+
+trap "" 1
+export LANG=C
+export PATH
+
+test -f $DAEMON || exit 0
+test -f $APACHECTL || exit 0
+
+# ensure we don't leak environment vars into apachectl
+APACHECTL="env -i LANG=${LANG} PATH=${PATH} $APACHECTL"
+
+if egrep -q -i "^[[:space:]]*ServerType[[:space:]]+inet" $CONF
+then
+ exit 0
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting web server: $NAME"
+ start-stop-daemon -S -x $DAEMON
+ ;;
+
+ stop)
+ echo -n "Stopping web server: $NAME"
+ start-stop-daemon -K -x $DAEMON
+ ;;
+
+ reload)
+ echo -n "Reloading $NAME configuration"
+ start-stop-daemon -K --signal USR1 -x $DAEMON
+ ;;
+
+ reload-modules)
+ echo -n "Reloading $NAME modules"
+ start-stop-daemon -K
+ start-stop-daemon -S -x $DAEMON
+ ;;
+
+ restart)
+ $0 reload-modules
+ exit $?
+ ;;
+
+ force-reload)
+ $0 reload-modules
+ exit $?
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|reload|reload-modules|force-reload|restart}"
+ exit 1
+ ;;
+esac
+
+if [ $? == 0 ]; then
+ echo .
+ exit 0
+else
+ echo failed
+ exit 1
+fi
diff --git a/apache/apache_2.0.47.oe b/apache/apache_2.0.47.oe
index 34ddaa2a4e..7b130a0588 100644
--- a/apache/apache_2.0.47.oe
+++ b/apache/apache_2.0.47.oe
@@ -6,6 +6,7 @@ DEPENDS = virtual/libc expat openssl
RDEPENDS = libc6, libexpat1, libssl0.9.7
S = ${WORKDIR}/httpd-${PV}
+sysconfdir_append = /apache
inherit autotools libtool
@@ -31,11 +32,11 @@ do_compile () {
do_install_append () {
install -d ${D}/${sysconfdir}/init.d
cat ${FILESDIR}/init | \
- sed -e 's,/usr/sbin/,${sbindir},g; \
- s,/usr/bin/,${bindir},g; \
+ sed -e 's,/usr/sbin,${sbindir},g; \
+ s,/usr/bin,${bindir},g; \
s,/usr/lib,${libdir},g; \
- s,/etc/,${sysconfdir},g; \
- s,/usr/,${prefix},g;' > ${D}/${sysconfdir}/init.d/apache
+ s,/etc/apache,${sysconfdir},g; \
+ s,/usr,${prefix},g;' > ${D}/${sysconfdir}/init.d/apache
chmod 755 ${D}/${sysconfdir}/init.d/apache
}
diff --git a/apache/apache_2.0.48.oe b/apache/apache_2.0.48.oe
index a328d78e11..a6a4ad2b18 100644
--- a/apache/apache_2.0.48.oe
+++ b/apache/apache_2.0.48.oe
@@ -6,6 +6,7 @@ DEPENDS = virtual/libc expat openssl zlib db3
RDEPENDS = libc6 expat openssl zlib db3
S = ${WORKDIR}/httpd-${PV}
+sysconfdir_append = /apache
inherit autotools libtool
@@ -33,11 +34,11 @@ do_compile () {
do_install_append () {
install -d ${D}/${sysconfdir}/init.d
cat ${FILESDIR}/init | \
- sed -e 's,/usr/sbin/,${sbindir},g; \
- s,/usr/bin/,${bindir},g; \
+ sed -e 's,/usr/sbin,${sbindir},g; \
+ s,/usr/bin,${bindir},g; \
s,/usr/lib,${libdir},g; \
- s,/etc/,${sysconfdir},g; \
- s,/usr/,${prefix},g;' > ${D}/${sysconfdir}/init.d/apache
+ s,/etc/apache,${sysconfdir},g; \
+ s,/usr,${prefix},g;' > ${D}/${sysconfdir}/init.d/apache
chmod 755 ${D}/${sysconfdir}/init.d/apache
}